| dfxasm Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions
xdfxasm_example.c File Reference

## Overview

This file contains an example using the XDfxasm driver to test the registers on the device.

Note
  None

MODIFICATION HISTORY:

    Ver      Who   Date           Changes

    1.0   dp    07/14/2020     First Release
    1.1   dp    08/10/2021     Typecast ShutdownMode to XDfxasm_State while
                               invoking XDfxasm_SetState() in the routine
                               XDfxasm_TestState() to avoid compilation issue
                               with cpp compiler.
    1.2   Nava  06/22/2023     Added support for system device-tree flow.

## Macros
#define | XDFX_ASM_DEVICE_ID XPAR_DFX_ASM_0_DEVICE_ID
| The following constants map to the XPAR parameters created in the xparameters.h file. More...

## Functions
u32 | XDfxasm_Example (u16 DeviceId)
| This function does a minimal test on the DFX Axi shutdown manager driver as a design example. More...
u32 | XDfxasm_TestState (void)
| This function is used to test the SetState and GetState of Dfxasm driver. More...
int | main (void)
| This is the main function to call the example. More...

## Macro Definition Documentation

#define XDFX_ASM_DEVICE_ID XPAR_DFX_ASM_0_DEVICE_ID

The following constants map to the XPAR parameters created in the xparameters.h file.

They are defined here such that a user can easily change all the needed parameters in one place.

Referenced by main().

## Function Documentation

int main | ( | void |  | ) |

This is the main function to call the example.

Parameters

  None. |

Returns
  - XST_SUCCESS if successful.
  - XST_FAILURE if failed.

Note
  None.

References XDFX_ASM_DEVICE_ID, and XDfxasm_Example().

u32 XDfxasm_Example | ( | u16 | DeviceId | ) |

This function does a minimal test on the DFX Axi shutdown manager driver as a design example.

Parameters

  DeviceId | is the XPAR_<dfxasm_instance>_DEVICE_ID value from xparameters.h.

Returns
  - XST_SUCCESS if successful
  - XST_FAILURE if failed

Note
  None.

References XDfxasm_CfgInitialize(), XDfxasm_LookupConfig(), and XDfxasm_TestState().

Referenced by main().

u32 XDfxasm_TestState | ( | void |  | ) |

This function is used to test the SetState and GetState of Dfxasm driver.

Parameters

  None |

Returns
  - XST_SUCCESS if successful
  - XST_FAILURE if failed

Note
  None.

References XDfxasm_GetState(), and XDfxasm_SetState().

Referenced by XDfxasm_Example().